Subject: bug#77012: closed (Re: bug#77012: Documentation problem: odd characters in ASCII text format manual)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 17 Mar 2025 20:00:02 +0000

Your bug report

#77012: Documentation problem: odd characters in ASCII text format manual

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77012: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77012
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77012: Documentation problem: odd characters in ASCII text format manual
From: Paul Eggert <[email-masked]>
To: Giacomo De Bello <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 17 Mar 2025 12:59:05 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the further investigation. I solved the problem for grep by 
installing the following patch, and am closing the bug report.

https://web.cvs.savannah.gnu.org/viewvc/grep/grep/.htaccess?r1=1.1&r2=1.2

Presumably GNU project web pages should routinely have .htaccess files 
that say something like this:

   <Files "*.txt">
     AddDefaultCharset utf-8
     ForceType text/plain
   </Files>

as the old Windows-1252 default no longer makes sense. I'll take a look 
at doing this for the projects I help maintain.

Alternatively (and more efficiently) this could be addressed by changing 
the Apache configuration on Savannah; however, I lack admin access for that.

Subject: Documentation problem: odd characters in ASCII text format manual
From: Giacomo De Bello <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 14 Mar 2025 09:22:23 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Greetings, the manual file in ASCII text format is filled with odd characters, and maybe this is a character conversion problem during the file generation.
In example, you can see the problem in the third line of the plain text manual online

https://www.gnu.org/software/grep/manual/grep.txt

I quote:

2 Invoking ‘grep’

It should be

2 Invoking grep

or

2 Invoking 'grep'

or something else. As far as I can see, the HTML format of the manual has the word "grep" between <code> tags, and I guess the problem is or was somewhat related to that, in docbook2txt or gendocs.sh; I said "was" because maybe just relaunching gendocs.sh will fix that, as the document was last updated May 13, 2023. Regards.